using System;
using Presentation;

namespace Core.Actions
{
    public class GetCurrentPoints
    {
        private readonly HeadRepository headRepository;

        public GetCurrentPoints(HeadRepository headRepository)
        {
            this.headRepository = headRepository;
        }

        public double Execute()
        {
            var head = headRepository.Retrieve();
            var initTime = head.GetInitTime();
            var secondsSinceStart = (DateTime.Now - initTime).TotalSeconds;

            return secondsSinceStart;
        }
    }
}