using Core.Domain;
using Presentation;

namespace Core.Actions
{
    public class TouchBrainSector
    {
        private readonly HeadRepository headRepository;

        public TouchBrainSector()
        {
        }

        public TouchBrainSector(HeadRepository headRepository)
        {
            this.headRepository = headRepository;
        }

        public Head Execute(BrainSector brainSector)
        {
            var head = headRepository.Retrieve();
            head.TouchBrainSector(brainSector);
            headRepository.Save(head);

            return head;
        }
    }
}