using Core.Domain;
using Presentation;

namespace Core.Actions
{
    public class CreateHead
    {
        private readonly HeadRepository headRepository;
        private readonly HeadConfiguration headConfiguration;

        public CreateHead()
        {
        }

        public CreateHead(HeadRepository headRepository, HeadConfiguration headConfiguration)
        {
            this.headRepository = headRepository;
            this.headConfiguration = headConfiguration;
        }

        public virtual void Execute()
        {
            var newHead = new Head(headConfiguration);
            headRepository.Save(newHead);
        }
    }
}