using Core.Domain;
using Presentation;

namespace Core.Actions
{
    public class RetrieveHead
    {
        private readonly HeadRepository headRepository;

        public RetrieveHead()
        {
        }

        public RetrieveHead(HeadRepository headRepository)
        {
            this.headRepository = headRepository;
        }

        public virtual Head Execute()
        {
            return headRepository.Retrieve();
        }
    }
}