namespace Core.Domain
{
    public class HeadPiece
    {
        private readonly HeadPieceType headPieceType;
        public bool IsBroken { get; private set; }

        public HeadPiece(HeadPieceType headPieceType)
        {
            this.headPieceType = headPieceType;
            IsBroken = false;
        }

        public HeadPieceType GetHeadType()
        {
            return headPieceType;
        }

        public void Touch()
        {
            IsBroken = !IsBroken;
        }
    }
}