using Core.Domain;

namespace Infrastructure
{
    public class InMemoryBotConfiguration : BotConfiguration
    {
        private readonly int intervalToAct;

        public InMemoryBotConfiguration(int intervalToAct)
        {
            this.intervalToAct = intervalToAct;
        }

        public int IntervalToAct()
        {
            return intervalToAct;
        }
    }
}