using System.Collections.Generic;
using Core.Domain;

namespace Infrastructure
{
    public class InMemoryHeadConfiguration : HeadConfiguration
    {
        private readonly Dictionary<BrainSector, HeadPiece> HeadPieces = new Dictionary<BrainSector, HeadPiece>();

        public InMemoryHeadConfiguration(Dictionary<BrainSector, HeadPiece> headPieces)
        {
            HeadPieces = headPieces;
        }

        public Dictionary<BrainSector, HeadPiece> GetHeadPieces()
        {
            return HeadPieces;
        }
    }
}