﻿using Presentation;

namespace Infrastructure.Providers
{
    public static class HeadPresenterProvider
    {
        public static HeadPresenter For(HeadView view)
        {
            return new HeadPresenter(
                view,
                HeadActionsProvider.ProvideRetrieveHeadAction(),
                HeadActionsProvider.ProvideTouchBrainSector(),
                HeadActionsProvider.ProvideCreateHead(),
                HeadActionsProvider.ProvideBotAction(),
                HeadActionsProvider.ProvideGetCurrentPointsAction());
        }
    }
}
